# not using %%{upstream_name} for %%{name}, because most of Source0
# is debian-specific and we don't want that. The only useful thing
# there is hardening-check and that's why package is named so.
%global		upstream_name	devscripts

Summary:	Tool to check ELF for being built hardened
Name:		hardening-check
Version:	2.20.2
Release:	%mkrel 4
License:	GPLv2+
Group:		File tools
URL:		https://packages.debian.org/source/sid/%{upstream_name}
Source0:	https://deb.debian.org/debian/pool/main/d/%{upstream_name}/%{upstream_name}_%{version}.tar.xz
Patch0:		hardening-check-locale_anti_barfer.diff
Patch1:		hardening-check-2.20.2-mga-docbook-path.patch
BuildArch:	noarch
BuildRequires:	dpkg-dev
BuildRequires:	po4a
BuildRequires:	help2man
BuildRequires:	perl-devel
BuildRequires:	xsltproc
Requires:	binutils

%description
%{name} is a tool to check whether an already compiled ELF file
was built using hardening flags.

It checks, using readelf, for these hardening characteristics:

  * Position Independent Executable
  * Stack protected
  * Fortify source functions
  * Read-only relocations
  * Immediate binding
  * Stack clash protection
  * Control flow integrity


%prep
%autosetup -p1 -n %{upstream_name}-%{version}

%build
%make_build

%install
install -Dpm 0755 scripts/%{name} %{buildroot}%{_bindir}/%{name}
install -Dpm 0644 scripts/%{name}.1 %{buildroot}%{_mandir}/man1/%{name}.1

%files
%doc README debian/changelog 
%license COPYING
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1.*



%changelog
* Fri Jun 27 2025 umeabot <umeabot> 2.20.2-4.mga10
+ Revision: 2212731
- Mageia 10 Mass Rebuild

* Wed Mar 30 2022 umeabot <umeabot> 2.20.2-3.mga9
+ Revision: 1834668
- Mageia 9 Mass Rebuild

* Tue Aug 18 2020 martinw <martinw> 2.20.2-2.mga8
+ Revision: 1614676
- fix build (due to dpkg packaging change)

* Wed Apr 22 2020 danf <danf> 2.20.2-1.mga8
+ Revision: 1571061
- Update to 2.20.2

* Tue Feb 11 2020 umeabot <umeabot> 2.4-7.mga8
+ Revision: 1489288
- Mageia 8 Mass Rebuild

* Tue Sep 18 2018 umeabot <umeabot> 2.4-6.mga7
+ Revision: 1260336
- Mageia 7 Mass Rebuild

* Thu Feb 04 2016 umeabot <umeabot> 2.4-5.mga6
+ Revision: 934508
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.4-4.mga5
+ Revision: 746334
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.4-3.mga5
+ Revision: 680080
- Mageia 5 Mass Rebuild

* Tue Oct 22 2013 umeabot <umeabot> 2.4-2.mga4
+ Revision: 541669
- Mageia 4 Mass Rebuild

* Sun Oct 13 2013 oden <oden> 2.4-1.mga4
+ Revision: 496294
- P0: make it work despite locales
- imported package hardening-check


* Thu Sep 19 2013 Björn Esser <bjoern.esser@gmail.com> - 2.4-1
- new upstream release (#1008372)

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Jul 17 2013 Petr Pisar <ppisar@redhat.com> - 2.3-3
- Perl 5.18 rebuild

* Sun Jun 09 2013 Björn Esser <bjoern.esser@gmail.com> - 2.3-2
- removed BuildRequires: binutils glibc-common
- not renaming docs in debian/
- removed terms to be possibly subject to bitrot from %%description
- as suggested by Ville Skyttä during review

* Fri Jun 07 2013 Björn Esser <bjoern.esser@gmail.com> - 2.3-1
- Initial rpm release (#971836)
